﻿/* --- FMbiblio_Globals.jsx ------ UTF-8 ----------------------------------------------------------
// to be included in FMbiblio.jsx
*/ ; // ===========================================================================================

  KLD_B.UItxt = {};                               // current texts by language switching

// === Global definitions =========================================================================
  KLD_B.APP_NAME    = "FMbiblio";                 // the name of the game
  KLD_B.APP_VERSION = "2.1";                      // current version of script (inc after publication)
  KLD_B.APP_LANG    = "en";                       // Found FM-language
  KLD_B.FM_VERSION  = undefined;                  // set in Main

  KLD_B.iLvlTrace      = 0;                       // level of function nesting for debug output
  KLD_B.asFndCitations = [];                      // array of found citation texts (excluding braces/brackets)
  KLD_B.sCollectPath   = "";                      // same as current book/file path
  KLD_B.asFmtCitsRaw   = [];                      // left column in processed RTF
  KLD_B.asFmtCitsFmt   = [];                      // right column in processed RTF
  KLD_B.aoBibliography = [];                      // bibliography paragraphs from processed RTF
  KLD_B.asIniVals      = [];
  KLD_B.sIniTexts      = [];                      // keep KLD_B.oRtfDoc open (keep the para -IDs intact in KLD_B.aoBibliography)
  KLD_B.sScriptDir     = undefined                // set in FMbiblioSetup
  KLD_B.sIniFile       = undefined                // set in FMbiblioSetup
  KLD_B.oHelpFile      = undefined

  KLD_B.iCitUnique;                               // statistics for final message
  KLD_B.iCitUnResolved;
  KLD_B.iBibEntries;
  KLD_B.iReplCount = 0;                           // Overall replacement/expansion count for book/doc

// ---------------------------------------------- defined in FMbiblioSetup ------------------------
  KLD_B.sBibAppName                               // name of the bibliographic application
  KLD_B.sBibAppLoc                                // path where gsFMbib_BibAppName is located
  KLD_B.sCollectFile                              // file name; collected items
  KLD_B.bDoingBook                                // Whether started in a book
  KLD_B.bLogging                                  // Log bibliographic data
  KLD_B.sTemplate                                 // located in script-dir
